<h1>Ocene</h1>
<div>
    <table>
        <thead>
            <th>Id:</th>
            <th>Film Id: </th>
            <th>Korisnik Id:</th>
            <th>Ocena:</th>
            <th>Komentar:</th>
            <th>Akcija:</th>
        </thead>
        <tbody>
            <tr *ngFor="let r of allReviews">
                <td>{{r.id}}</td>
                <td>{{r.filmId}}</td>
                <td>{{r.korisnikId}}</td>
                <td>{{r.ocena}}</td>
                <td>{{r.komentar}}</td>
                <td>
                    <button (click)="getReview(r.id)">Detalji</button>
                    <button (click)="removeReview(r.id)">Obrisi</button>
                </td>
            </tr>
        </tbody>
    </table>
</div>
<div>
    <form (ngSubmit)="addReview()" #editForm="ngForm">
        <h2>Dodaj novu ocenu</h2>
        <hr>
        <div>
            <label for="filmSlc">Film:</label>
            <select id="filmSlc" name="filmId" #filmId="ngModel" [(ngModel)]="newReview.filmId" [ngClass]="{'invalid': filmId.invalid}" type="number" required>
                <option *ngFor="let f of allFilms" value="{{f.id}}" selected>{{f.naziv}}</option>
            </select>
        </div>
        <div>
            <label for="reziserInp">Korisnik:</label>
            <select id="korisnikSlc" name="korisnikId" #korisnikId="ngModel" [(ngModel)]="newReview.korisnikId" [ngClass]="{'invalid': korisnikId.invalid}" type="number" required>
                <option *ngFor="let k of allUsers" value="{{k.id}}" selected>{{k.korisnickoIme}}</option>
            </select>
        </div>
        <div>
            <label for="ocenaInp">Ocena:</label>
            <input id="ocenaInp" name="ocena" #ocena="ngModel" [(ngModel)]="newReview.ocena" [ngClass]="{'invalid': ocena.invalid}" type="number" min="0" max="5" required>
        </div>
        <div>
            <label for="komenatrArea">Komentar:</label>
            <textarea id="komentarArea" name="ocena" [(ngModel)]="newReview.komentar"></textarea>
        </div>
        <div>
            <input [disabled]="filmId.invalid" [disabled]="korisnikId.invalid" [disabled]="ocena.invalid" type="submit" value="Dodaj">
        </div>
    </form>
</div>